# Mode saisie ANC

![](../images/intro_localisation.png)

## 1. Définition

Le mode ANC, accessible aux utilisateurs en ayant droits (anc_user) permet la saisie des données "métiers" liées au services publiques d'Assainissement Non collectif (SPANC).

Le module métier s'organise autour de la saisie des contrôles. Ces derniers sont liés à des installations localisées sur le territoire. Une installation peut avoir été contrôlée plusieurs fois (relation 1 à plusieurs).

*Cette documentation ne passera pas en revue l'intégralité des informations qu'il est possible de renseigner car elles sont trop nombreuses. Nous mettrons en exergue les **informations obligatoires (Cadres verts)** pour l'enregistrement des formulaires.*

- Pécisions sur la terminologie

![](../images/intro_terminologie.png)


## 2. Les installations

Les contrôles sont donc liés aux installations, il faut donc en premier lieu saisir les informations sur les installations et les localiser géographiquement.

### a. Ajout d'une installation
- Dans l'onglet installation --> Ajouter une installation

![](../images/1_1_saisie_installation.png)

- Le formulaire lié aux installations

![](../images/1_2_saisie_installation.png)

*Après identification de la parcelle, les informations cadastrales seront remontées automatiquement.*

- Une fois ce premier formulaire complété --> créer l'installation avec ![](../images/1_3_saisie_installation.png) en bas de la fiche

*A partir de là, nous avons crée une installation mais elle n'a pas encore de référencement géographique*

- Pour la localisation de l'installation --> passez sur la section suivi

![](../images/1_4_saisie_installation.png)



- Placement de l'installation sur la carte
![](../gif/1_1_saisie_installation.gif)

Afin de faciliter la saisie vous pouvez passez en mode **plein ecran** avec le bouton ![](../images/1_6_saisie_installation.png). Vous pouvez zoomer sur la carte avec les boutons ![](../images/1_7_saisie_installation.png) ou alors avec la molette de la souris.

Vous pouvez déplacer le point avec ![](../images/1_8_saisie_installation.png) et l'effacer avec ![](../images/1_9_saisie_installation.png).

Dans cet section vous avez également la possibilité d'ajouter des observations en texte enrichi (c'est à dire que vous pouvez le mettre en forme comme dans un logiciel de traitement de texte)

![](../images/1_5_saisie_installation.png)

- Pour attacher un document ou une photo à l'installation --> Rendez vous dans la section Documents

![](../images/1_10_saisie_installation.png)

<div style="background-color:#FFC5C5; padding:10px">
**ATTENTION** : *Si une photo ou un document sont déjà attachés, l'action de "Parcourir" pour ajouter une autre photo ou un autre document aura pour action d'écraser l'élément précédent.*
</div>

### b. Recherche d'une ou des installations

- Déployez le panneau de filtre

![](../gif/1_2_recherche_installation.gif)

Dans le cas d'une recherche par numéro d'installation, il faut savoir que le numéro d'installation se compose de la manière suivante :  **code insee_anc_id de l'installation**. Donc pour rechercher le numéro d'installation 22086_anc_50, il faudra saisir "50" dans le champ ID.

### c. Mise à jour d'une installation

- Dans le tableau des installations appuyer sur ![](../images/bouton_maj.png)

![](../images/1_11_maj_installation.png)

### d. Effacer une ou plusieurs installations

- Sélectionnez les lignes des installations dans le tableau

![](../images/1_12_effacer_installation.png)

- Appuyer sur le bouton ![](../images/bouton_supr_installation.png)

## 2. Les contrôles

Une fois l'installation saisie, plusieurs contrôles peuvent lui être affectés. Afin de cibler l'installation à laquelle vous allez ajouter un ou des contrôles il faut la définir comme installation de "travail".

![](../images/2_1_intro_controle.png)

*Le bouton se grise lorsque qu'une installation est défini comme une installation de travail.*

Lorsque que vous passez dans l'onglet "Contrôle", seuls les contrôles liés à cette installation seront affichés. De même lorsque vous saisissez un nouveau contrôle la liaison avec l'installation de travail est automatique

### a. Ajout d'un contrôle

- Dans l'onglet "Contrôles" --> Ajout d'un contrôle

![](../images/2_2_saisie_controle.png)

- Choix du type de contrôle

![](../images/2_3_saisie_controle.png)

3 types de contrôles possible : *Bon Fonctionnement, Conception, Execution*

--> des champs peuvent apparaître ou disparaître en fonction du type de controle

- les champs obligatoires

![](../images/2_6_saisie_controle.png)

- Les différentes sections liées aux contrôles

Les formulaires de contrôle contiennent un nombre de champs conséquents organisés selon des sections.

![](../images/2_4_saisie_controle.png)

<p style="text-align:justify"> Les Sections encadrées ici en bleu, sont des sections particulières. Elles concernent des éléments d'informations pouvant avoir une relation 1 à plusieurs. Par exemple, la filière sur laquelle porte le contrôle peut avoir un ou plusieurs prétraitements. De même la filière peut avoir plusieurs traitements, filières agrées, évacuation des eaux. On retrouve également ces éléments dans les onglets.</p>

![](../images/2_5_saisie_controle.png)

A l'image des installations et des controles, ces sections s'organisent autour d'une grille/table listant les éléments.

![](../images/2_10_saisie_controle.png)

- Joindre des documents au contrôle

--> Section Doucments

![](../images/2_7_saisie_controle.png)

<div style="background-color:#FFC5C5; padding:10px">
**ATTENTION** : *Si des documents sont déjà attachés, l'action de "Parcourir" pour ajouter une autre photo ou un autre document aura pour action d'écraser l'élément précédent.*

- Saisie du schéma de l'installation
--> Section Schéma
  *Localiser la parcelle :

  Malheureusement, à ce stade, le module ANC ne permet pas une recherche aisée de la parcelle. Il faut localiser la parcelle sur un fond Openstreetmap (initialement à l'échelle de la France).<span style="color:#00B100; padding:10px"><b>*Conseil : Utilisez le zoom molette de la souris*</b></span>
  ![](../gif/2_1_saisie_controle.gif)

  **Placez-vous à une échelle de "20 m" ou "10 m"**
  ![](../images/2_8_saisie_controle.png)
  *Ajouts des Pictogrammes :
    Une fois la localisation effectuée, cliquez sur le bouton ![](../images/bouton_ajouter.png)
    ![](../gif/2_2_saisie_controle.gif)
  
  *Modification des éléments du schéma
  
  Avec le bouton ![](../images/bouton_modifier.png) vous pouvez dépacer ou modifier la géométrie des éléments du schéma
    ![](../gif/2_3_saisie_controle.gif)
    
  *Sélection et suppression d'éléments du schéma
  
  Deux possibilités de sélectionner des éléments : Soit avec ![](../images/bouton_selection_schema.png) , Soit directement avec la grille

### b. Recherche d'un ou des contrôles

A l'instar des installations, il faut passer par le panneau de filtre déroulant ![](../images/bouton_filtre.png). Il faudra dans un premier temps sélectionner le type de contrôle sur lequel s'effectue la recherche puis des champs de filtre apparaîtront.


### c. Mise à jour d'un contrôle

Avec le bouton ![](../images/bouton_maj.png) dans la grille des contrôles


### d. Suppression d'un ou des contrôles

![](../images/2_11_saisie_controle.png)


### e. Génération d'un rapport lié à un contrôle

La génération des rapports n'est pas encore permise via le module SPANC. Il faut donc passer par la carte + le panier pour générer les rapports.

- Sortir du module SPANC

![](../images/2_12_saisie_controle.png)

- Aller sur la carte "ANC"

![](../gif/2_4_saisie_controle.gif)

- Localiser l'installation

Vous pouvez localiser via l'outil cadastre ![](../images/bouton_cadastre.png) si vous connaissez la référence cadastrale de l'installation. Ou alors avec l'outil requêteur ![](../images/bouton_requeteur.png).

Si vous ne savez pas utiliser ces outils, vous pouvez vous référer à la documentation générale de Vmap.

- Ajouter l'installation au "Panier" pour générer les rapports

![](../gif/2_5_saisie_controle.gif)

A la fin de cette étape, sélectionner le rapport qui vous intéresse. Cela devrait générer un fichier au format propriétaire Microsoft WORD éditable.
